package com.yijia.label.service;

import java.util.List;
import com.yijia.label.domain.CustomerLabel;

/**
 * 用户标签Service接口
 *
 * @author yijia
 * @date 2021-06-15
 */
public interface ICustomerLabelService
{
    /**
     * 查询用户标签
     *
     * @param id 用户标签ID
     * @return 用户标签
     */
    public CustomerLabel selectCustomerLabelById(Integer id);

    /**
     * 查询用户标签列表
     *
     * @param customerLabel 用户标签
     * @return 用户标签集合
     */
    public List<CustomerLabel> selectCustomerLabelList(CustomerLabel customerLabel);

    /**
     * 新增用户标签
     *
     * @param customerLabel 用户标签
     * @return 结果
     */
    public int insertCustomerLabel(CustomerLabel customerLabel);

    /**
     * 修改用户标签
     *
     * @param customerLabel 用户标签
     * @return 结果
     */
    public int updateCustomerLabel(CustomerLabel customerLabel);

    /**
     * 批量删除用户标签
     *
     * @param ids 需要删除的用户标签ID
     * @return 结果
     */
    public int deleteCustomerLabelByIds(Integer[] ids);

    /**
     * 删除用户标签信息
     *
     * @param id 用户标签ID
     * @return 结果
     */
    public int deleteCustomerLabelById(Integer id);

    /**
     * 查询没有标签的客户信息
     * @param customerLabel
     * @return
     */
    public List<CustomerLabel> selectNotCustomerLabelInfo(CustomerLabel customerLabel);

    /**
     *
     * @param customerLabel
     * @return
     */
    public int editCustomerLabel(CustomerLabel customerLabel);
    /**
     * 查询本标签的客户手机号
     * @param customerLabel
     * @return
     */
    public List<CustomerLabel> selectPhoneList(CustomerLabel customerLabel);
}
